上一页 1 2 3 4 5 6 7 ··· 12 下一页
摘要: void CTest5::deleteAcDbBlockReference(CString& strBlockName){ // 获得当前图形数据库的块表 AcDbBlockTable *pBlkTbl; acdbHostApplicationServices()->workingDatabase( 阅读全文
posted @ 2020-03-10 14:51 久龄 阅读(44) 评论(0) 推荐(0) 编辑
摘要: ThirdConvexHull.h #pragma onceclass CThirdConvexHull{public: CThirdConvexHull(); ~CThirdConvexHull(); public: static AcGePoint3dArray testConvexHullPo 阅读全文
posted @ 2020-03-09 09:57 久龄 阅读(35) 评论(0) 推荐(0) 编辑
摘要: MinimumCircleCover.h #pragma onceclass CMinimumCircleCover{public: CMinimumCircleCover(); ~CMinimumCircleCover(); static double getMinimumCircle(AcGeP 阅读全文
posted @ 2020-03-09 09:55 久龄 阅读(154) 评论(0) 推荐(0) 编辑
摘要: MinimumRectangle.h #pragma onceclass CMinimumRectangle{public: CMinimumRectangle(); ~CMinimumRectangle(); static AcGePoint3dArray getMinRact(AcGePoint 阅读全文
posted @ 2020-03-09 09:54 久龄 阅读(247) 评论(0) 推荐(0) 编辑
摘要: ConvexHull.h文件: #pragma once#include <algorithm>#include <iostream>#include <vector>#include <math.h>using namespace std;//二维点(或向量)结构体定义 typedef struc 阅读全文
posted @ 2020-01-19 14:24 久龄 阅读(212) 评论(0) 推荐(0) 编辑
摘要: 主要思路:拾取一个点作为矩形的插入点,分别以该点进行两次jig操作,就能得到白色的两个相交的polyline,之后需要变成红色的封闭多段线。做法就是:求出两个白色矩形的面域,然后通过bool操作的并集,使得两个面域合并成一个面域。最后就把这个面域在转换成polyline就完成了。其中要注意, 要想在 阅读全文
posted @ 2020-01-17 09:20 久龄 阅读(513) 评论(0) 推荐(0) 编辑
摘要: bool COperaBlockCutting::drawAPlineWithPropertiesFromBlockRef(AcGePoint2dArray pts, AcDbBlockReference* ref, double elevation, AcGeVector3d& normal){ 阅读全文
posted @ 2020-01-13 10:19 久龄 阅读(115) 评论(0) 推荐(0) 编辑
摘要: bool isLetter(std::string& inputtext){ tr1::regex reg("^[A-Za-z]+$"); bool bValid = tr1::regex_match(inputtext, reg); return bValid;} bool isNumber(st 阅读全文
posted @ 2019-12-25 09:06 久龄 阅读(595) 评论(0) 推荐(0) 编辑
摘要: .h文件 #pragma once#include "Opera.h" #ifdef CONTRACTDRAWING_MODULE#define CONTRACTDRAWING_API extern "C" __declspec(dllexport)#else#define CONTRACTDRAW 阅读全文
posted @ 2019-12-05 10:42 久龄 阅读(47) 评论(0) 推荐(0) 编辑
摘要: .h文件 #pragma once#include<iostream>#include<map>#include<string> typedef struct test_map { void test(void); test_map(AcGePoint3d sa) { _sa = sa; //_sb 阅读全文
posted @ 2019-11-26 17:12 久龄 阅读(79) 评论(0) 推荐(0) 编辑
上一页 1 2 3 4 5 6 7 ··· 12 下一页